Introduction
Account provisioning is a type of transaction that moves funds from the collection account (pay-in account) to the transfer account (pay-out account) of the same merchant.
A provisioning request made with an API key is subject to validation and approval by HUB2. Below a certain amount, it may be approved automatically.
Contact the support team for more information on provisioning conditions.
A provisioning has one of the following statuses: created, pending, successful or failed.
Create a provisioning
HUB2 API reference - Create a provisioning
The response is an approval request (action) that has been created and is awaiting approval:
Once the request is approved, the resulting provisioning appears in the provisionings list and in the dashboard.
Retrieve provisionings
HUB2 API reference - List provisionings
The response is an array of provisionings. Use the page and perPage query parameters to paginate (perPage defaults to 10).
withdrawal: the transaction debited from the collection account.
deposit: the transaction credited to the transfer account.
To retrieve a single provisioning, use GET /provisionings/{id}.